#pragma once

#include <ehs/Array.h>
#include <ehs/Str.h>

class ELF64_Section
{
private:
	friend class ELF64;

	ehs::Str_8 name;
	ehs::UInt_32 nameIndex;
	ehs::UInt_32 type;
	ehs::UInt_64 flags;
	ehs::UInt_64 vAddr;
	ehs::UInt_64 segmentOffset;
	ehs::UInt_64 segmentSize;
	ehs::UInt_32 associatedIndex;
	ehs::UInt_32 info;
	ehs::UInt_64 align;
	ehs::UInt_64 entrySize;

public:
	ELF64_Section();

	ELF64_Section();
};